### Enumeration

# WebKit InsecureContentEvent

#### Declaration

    enum WebKit.InsecureContentEvent

#### Description [src]

Enum values used to denote the different events which can trigger the detection of insecure content.

#### Members

Name | Description
--- | ---
`WEBKIT_INSECURE_CONTENT_RUN` | Insecure content has been detected by trying to execute any kind of logic (e.g. a script) from an untrusted source.
`WEBKIT_INSECURE_CONTENT_DISPLAYED` | Insecure content has been detected by trying to display any kind of resource (e.g. an image) from an untrusted source.